## org.apache.poi.hssf.record.chart
Class NumberFormatIndexRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.NumberFormatIndexRecord

    public final class NumberFormatIndexRecord

extends StandardRecord

The number format index record indexes format table. This applies to an axis.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`NumberFormatIndexRecord()`
`NumberFormatIndexRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getFormatIndex()` Get the format index field for the NumberFormatIndex record.
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setFormatIndex(short field_1_formatIndex)` Set the format index field for the NumberFormatIndex record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NumberFormatIndexRecord

    public NumberFormatIndexRecord()

### NumberFormatIndexRecord

    public NumberFormatIndexRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getFormatIndex

    public short getFormatIndex()

  Get the format index field for the NumberFormatIndex record.

### setFormatIndex

    public void setFormatIndex(short field_1_formatIndex)

  Set the format index field for the NumberFormatIndex record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.